@import "../../../assets/variables";
@import "../formFieldMixin";

.select {
  $root: &;

  position: relative;

  @include main($root);

  padding: $padding-sm;

  &__container {
    @include container($root);

    padding: $padding-sm;
  }

  &__before {
    @include before($root);
  }

  &__content {
    @include content($root);

    width: 0;
  }

  &__after {
    @include after($root);
  }

  &__value {
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
  }

  &__query {
    width: 100%;

    input {
      width: 100%;
      height: 14px;
      cursor: text;
    }
  }

  &__popup {
    position: absolute;
    top: 100%;
    right: 0;

    z-index: 1;

    background: $color-white;
    border-radius: $br-small;
    overflow: hidden;
    box-shadow: 0 2px 3px 0 rgba(34,36,38,.15);
    border: 1px solid rgba(34,36,38,.15);

    max-height: 250px;
    overflow-y: auto;

    opacity: 0;
    visibility: hidden;

    &--is-active {
      opacity: 1;
      visibility: visible;
    }
  }

  &__options {

    &-hint {
      padding: $padding-xs $padding-sm;
      white-space: nowrap;
    }
  }

  &__option {
    padding: $padding-md $padding-lg;

    white-space: nowrap;
    max-width: 400px;
    min-width: 150px;

    &--is-selected {
      background: $color-nav-bg;
      font-weight: bold;
    }

    &-hint {
      margin-bottom: 2px;
      opacity: .5;
    }
  }
}
